patch catalog
curl --request PATCH \
--url https://engine.example.com/api/v1/catalogs/{catalog_id}/options \
--header 'Content-Type: application/json' \
--data '
{
"mutation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"options": {},
"revision": "<string>",
"credential_references": {}
}
'import requests
url = "https://engine.example.com/api/v1/catalogs/{catalog_id}/options"
payload = {
"mutation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"options": {},
"revision": "<string>",
"credential_references": {}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
mutation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
options: {},
revision: '<string>',
credential_references: {}
})
};
fetch('https://engine.example.com/api/v1/catalogs/{catalog_id}/options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://engine.example.com/api/v1/catalogs/{catalog_id}/options",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'mutation_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'options' => [
],
'revision' => '<string>',
'credential_references' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://engine.example.com/api/v1/catalogs/{catalog_id}/options"
payload := strings.NewReader("{\n \"mutation_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"options\": {},\n \"revision\": \"<string>\",\n \"credential_references\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://engine.example.com/api/v1/catalogs/{catalog_id}/options")
.header("Content-Type", "application/json")
.body("{\n \"mutation_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"options\": {},\n \"revision\": \"<string>\",\n \"credential_references\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://engine.example.com/api/v1/catalogs/{catalog_id}/options")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"mutation_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"options\": {},\n \"revision\": \"<string>\",\n \"credential_references\": {}\n}"
response = http.request(request)
puts response.read_body{
"catalog_id": "<string>",
"configuration": {
"credential_references": {},
"options": {},
"provider": "<string>"
},
"name": "<string>",
"revision": "<string>"
}{
"error": {
"code": "invalid_request",
"message": "Check the request fields"
}
}Patch catalog
patch catalog. PATCH /api/v1/catalogs//options. Uses the same payload, validation, revision checks and response as the unified HTTP API.
patch catalog
curl --request PATCH \
--url https://engine.example.com/api/v1/catalogs/{catalog_id}/options \
--header 'Content-Type: application/json' \
--data '
{
"mutation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"options": {},
"revision": "<string>",
"credential_references": {}
}
'import requests
url = "https://engine.example.com/api/v1/catalogs/{catalog_id}/options"
payload = {
"mutation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"options": {},
"revision": "<string>",
"credential_references": {}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
mutation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
options: {},
revision: '<string>',
credential_references: {}
})
};
fetch('https://engine.example.com/api/v1/catalogs/{catalog_id}/options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://engine.example.com/api/v1/catalogs/{catalog_id}/options",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'mutation_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'options' => [
],
'revision' => '<string>',
'credential_references' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://engine.example.com/api/v1/catalogs/{catalog_id}/options"
payload := strings.NewReader("{\n \"mutation_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"options\": {},\n \"revision\": \"<string>\",\n \"credential_references\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://engine.example.com/api/v1/catalogs/{catalog_id}/options")
.header("Content-Type", "application/json")
.body("{\n \"mutation_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"options\": {},\n \"revision\": \"<string>\",\n \"credential_references\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://engine.example.com/api/v1/catalogs/{catalog_id}/options")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"mutation_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"options\": {},\n \"revision\": \"<string>\",\n \"credential_references\": {}\n}"
response = http.request(request)
puts response.read_body{
"catalog_id": "<string>",
"configuration": {
"credential_references": {},
"options": {},
"provider": "<string>"
},
"name": "<string>",
"revision": "<string>"
}{
"error": {
"code": "invalid_request",
"message": "Check the request fields"
}
}ReferenceApplies to: Unified engine deployments
Related guidance
Addresses and access · Request identity · Errors and recovery · Pagination and resultsPath Parameters
Body
application/json
Last modified on November 4, 2026